//Setup
draw_set_color(c_white);
draw_set_font(fnt12);
draw_set_valign(fa_middle);

//Draw Floor
for(var j = 0; j < room_width/16; j++){
	draw_sprite(spr_bricks, 0, j*16, room_height-17);
}

//Draw Ceiling
draw_rectangle(0, 0, 127, 15+(sign(left)*(rheight-15)), !left);
draw_rectangle(128, 0, 255, 15+(sign(right)*(rheight-15)), !right);

//Draw Spikes
for(var i = 0; i < 8; i++){
	draw_triangle(i*16, 16+(sign(left)*(rheight-15)), ((i+1)*16)-1, 16+(sign(left)*(rheight-15)), (i*16) + 8, 32+(sign(left)*(rheight-15)), !left);
}
for(var h = 8; h < 16; h++){
	draw_triangle(h*16, 16+(sign(right)*(rheight-15)), ((h+1)*16)-1, 16+(sign(right)*(rheight-15)), (h*16) + 8, 32+(sign(right)*(rheight-15)), !right);
}

//Draw Path [The hardcoded numbers hurt my soul]
draw_circle(95, 229, 7, true);
draw_circle(31+128, 229, 7, true);
draw_line(103, 229, 23+128, 229);
draw_triangle(103, 229, 107, 231, 107, 227, false);
draw_triangle(151, 229, 147, 231, 147, 227, false);

//Draw Player
if(!dead){draw_sprite(spr_player, 0, 128 + (32*sign(side)), 230);}

//Draw Level (score)
draw_set_halign(fa_right);
draw_text(126, 9, string(level));
draw_set_halign(fa_left);
draw_text(129, 9, "25");

//Draw Start
if(state == 0){
	draw_set_halign(fa_center);
	draw_text(room_width/2, room_height/2, "PRESS SPACE\nTO START");
}

//Draw End
if(state == 1){
	draw_set_halign(fa_center);
	draw_text(room_width/2, room_height/2, "VICTORY!");
}

//Draw Death
if(state == 2){
	draw_set_halign(fa_center);
	draw_text(room_width/2, room_height/2, "PRESS SPACE\nTO RESTART");
}