//Input
pl = false;
pr = false;
ps = false;
if(keyboard_check(vk_left) || keyboard_check(ord("A"))){
	pl = true;
}
if(keyboard_check(vk_right) || keyboard_check(ord("D"))){
	pr = true;
}
if(keyboard_check_pressed(vk_space) || keyboard_check_pressed(ord("W")) || keyboard_check_pressed(vk_up)){
	ps = true;
}

//What side the player is on
if(pl && !pr){
	side = -1;//left
}
else if(pr && !pl){
	side = 1;//right
}
else{
	side = 0;//and center
}

//State Machine Time
if(state == 0){//Start
	if(ps){
		audio_play_sound(start, 10, false);
		level = 0;
		state = 3;
		wait = 60;
		ftime = 60;
		fstep = 0;
		alarm[1] = 30;
		alarm[2] = wait;
	}
}
else if(state == 1){//End
	if(ps){state=0;}
}
else if(state == 2){//Death
	if(ps){reset();}
}
else if(state == 3){//Wait
	//Am I going to do anything here?
}
else if(state == 4){//Fall
	fstep++;
	rheight = 15 + floor(206 * (fstep/ftime));
	if(fstep >= ftime){
		audio_play_sound(slam, 1, false);
		audio_stop_sound(noise);
		if((right && side==-1) || (left && side==1)){
			fstep = 0;
			state = 5;
			wait = 60-(level*2);
			alarm[2] = wait;
		}
		else{
			fstep = 0;
			state = 5;
			wait = 60-(level*2);
			alarm[2] = wait;
			dead = true;
			audio_play_sound(boom, 15, false);
		}
	}
}//Nice
else if(state == 5){//Wait
	//Hey! You found a secret!
}
else if(state == 6){//Rise
	fstep++;
	rheight = 221 - floor(206 * (fstep/ftime));
	if(fstep >= ftime){
		audio_stop_sound(noise2);
		if(!dead){
			level++;
			if(level >= 25){
				state = 1;
				audio_play_sound(victory, 15, false);
				alarm[3] = 300;
			}
			else{
				wait = 60-(level*2);
				alarm[2] = wait;
				state = 3;
			}
		}
		else{
			state = 2;
		}
		fstep = 0;
		left = false;
		right = false;
	}
}